Mailinglist Archive: opensuse-bugs (4284 mails)

< Previous Next >
[Bug 1039899] New: obs-sign does not work with gpg2-2.1.21 and higher
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 19 May 2017 12:03:02 +0000
  • Message-id: <bug-1039899-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1039899


Bug ID: 1039899
Summary: obs-sign does not work with gpg2-2.1.21 and higher
Classification: openSUSE
Product: openSUSE Tumbleweed
Version: Current
Hardware: Other
OS: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Security
Assignee: security-team@xxxxxxx
Reporter: marco.strigl@xxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

Created attachment 725696
--> http://bugzilla.opensuse.org/attachment.cgi?id=725696&action=edit
patch

linux-pffh:~ # gpg2 --version
gpg (GnuPG) 2.1.20
libgcrypt 1.7.6
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Home: /root/.gnupg
Supported algorithms:
Pubkey: RSA, ELG, DSA, ECDH, ECDSA, EDDSA
Cipher: IDEA, 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH,
CAMELLIA128, CAMELLIA192, CAMELLIA256
Hash: SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
Compression: Uncompressed, ZIP, ZLIB, BZIP2


linux-pffh:~ # sign -k
gpg: Ohhhh jeeee: files-are-digests doesn't work with v4 sigs

a modified version of gnupg-2.0.18-files-are-digests.patch solves the problem.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >